<template>
  <div>
    <h1>Post page with ID {{ $route.params.id }}</h1>
    <div class="post">
      <div>
        <div><strong>Post ID: </strong>{{ post.id }}</div>
        <div><strong>User ID: </strong>{{ post.userId }}</div>
        <div><strong>Title: </strong>{{ post.title }}</div>
        <div><strong>Description: </strong>{{ post.body }}</div>
        <div><strong>Description: </strong>{{ post.body }}</div>
      </div>
    </div>
  </div>
</template>

<script>
import {api} from "@/axios-api";
import PostItem from "@/components/PostItem";
export default {
  name: "PostDetail",
  components: { PostItem },
  data() {
    return {
      post: {}
    };
  },
  mounted() {
    this.fetchPost();
  },
  methods: {
    async fetchPost() {
      try {
        const response = await api.get(`posts/${this.$route.params.id}`);
        this.post = response.data
      } catch (e) {
        alert('!Error')
      }
    },
  }
}
</script>

<style scoped>
.post {
  padding: 15px;
  border: 2px solid teal;
  margin-top: 15px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
</style>
